## freenet.support.CPUInformation
Class CPUID.VIAC3Impl

    java.lang.Object
      freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
          freenet.support.CPUInformation.CPUID.VIAC3Impl

All Implemented Interfaces:
  CPUInfo

Enclosing class:
  CPUID

    protected static class CPUID.VIAC3Impl

extends CPUID.CPUIDCPUInfo
implements CPUInfo

Constructor Summary
`protected` `CPUID.VIAC3Impl()`

Method Summary
`java.lang.String` `getCPUModelString()`
`boolean` `isC3Compatible()`

Methods inherited from class freenet.support.CPUInformation.CPUID.CPUIDCPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, IsC3Compatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface freenet.support.CPUInformation.CPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, IsC3Compatible`

Constructor Detail

### CPUID.VIAC3Impl

    protected CPUID.VIAC3Impl()

Method Detail

### isC3Compatible

    public boolean isC3Compatible()

### getCPUModelString

    public java.lang.String getCPUModelString()

  Specified by:
    `getCPUModelString` in interface `CPUInfo`
  Returns:
    A string detailing what type of CPU that is present in the machine. I.e. 'Pentium IV' etc.